Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.nodedata
Class HiddenDataAdapter

    java.lang.Object
      info.bioinfweb.treegraph.document.nodedata.TextElementDataAdapter
          info.bioinfweb.treegraph.document.nodedata.AbstractIDElementAdapter
              info.bioinfweb.treegraph.document.nodedata.HiddenDataAdapter

All Implemented Interfaces:
  IDElementAdapter, NodeDataAdapter

Direct Known Subclasses:
  HiddenBranchDataAdapter, HiddenNodeDataAdapter

    public abstract class HiddenDataAdapter

extends AbstractIDElementAdapter

Field Summary
`DecimalFormat` | `DECIMAL_FORMAT`

Fields inherited from class info.bioinfweb.treegraph.document.nodedata.AbstractIDElementAdapter
`id`

Constructor Summary
`HiddenDataAdapter(String id)`

Method Summary
`boolean` | `assignData(Node node, TextElementData data)`
`protected void` | `createData(Node node)` This method should create the data object if does not already exist.
`void` | `delete(Node node)`
`TextElementData` | `getData(Node node)`
`protected abstract HiddenDataMap` | `getDataMap(Node node)`
`DecimalFormat` | `getDecimalFormat(Node node)`

Methods inherited from class info.bioinfweb.treegraph.document.nodedata.AbstractIDElementAdapter
`getID, readOnly`

Methods inherited from class info.bioinfweb.treegraph.document.nodedata.TextElementDataAdapter
`decimalOnly, getDecimal, getText, isDecimal, isEmpty, isString, setDecimal, setText, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.nodedata.NodeDataAdapter
`getDataElement, toString`

Field Detail

### DECIMAL_FORMAT

    public DecimalFormat DECIMAL_FORMAT

Constructor Detail

### HiddenDataAdapter

    public HiddenDataAdapter(String id)

Method Detail

### getDataMap

    protected abstract HiddenDataMap getDataMap(Node node)

### getData

    public TextElementData getData(Node node)

  Specified by:
    `getData` in class `TextElementDataAdapter`

### assignData

    public boolean assignData(Node node,
                              TextElementData data)

  Specified by:
    `assignData` in class `TextElementDataAdapter`

### getDecimalFormat

    public DecimalFormat getDecimalFormat(Node node)

  Specified by:
    `getDecimalFormat` in class `TextElementDataAdapter`

### createData

    protected void createData(Node node)

  Description copied from class: `TextElementDataAdapter`
  This method should create the data object if does not already exist.

  Specified by:
    `createData` in class `TextElementDataAdapter`
  Parameters:
    `node` - - the node wich is assiciated with the data object

### delete

    public void delete(Node node)

  Specified by:
    `delete` in interface `NodeDataAdapter`
  Overrides:
    `delete` in class `TextElementDataAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD